## gnucap 0.34

=== Makefile ===
all: ibis modelgen gnucap

ibis: nothing
	(cd ibis; ${MAKE} -k)

modelgen: nothing
	(cd modelgen; ${MAKE} -k)

gnucap: modelgen
	(cd src; ${MAKE} -k)

clean:
	(cd ibis; make clean)
	(cd modelgen; make clean)
	(cd src; make clean)

install: nothing
	(cd src; make install)

nothing:

=== src/Makefile ===
#$Id: Makefile,v 24.7 2003/05/30 08:08:17 al Exp $
# Copyright (C) 2001 Albert Davis
# Author: Albert Davis <aldavis@ieee.org>
#
# This file is part of "Gnucap", the Gnu Circuit Analysis Package
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#------------------------------------------------------------------------
# In most cases you can just type "make" to build it.
# Generally, you will want "make your-system".
# Look in this file for the choices.
# If yours is not here, look for a similar one and copy.
# The special configurations listed here allow you to do multiple builds
# from the same source directory, and patch some problems.
#-----------------------------------------------------------------------------
# The default is to use the makefile built by "configure"
default: nothing
	(cd O; ${MAKE} -k)
#-----------------------------------------------------------------------------
# The most common configuration is g++
# This should work if it is properly installed
# and has the proper libraries and headers.
# It is optimized for speed.  Debugging is off.
g++: nothing
	-mkdir O
	cat Make1 Make2.g++ Make3 Make.depend >O/Makefile
	(cd O; ${MAKE} -k)
#-----------------------------------------------------------------------------
# This one makes a "debug" build ...
# Asserts and some tracing is turned on.
# It prints a trace when "untested" code is exercised.
# "Untested" means the regressions don't test it.
# It doesn't mean TOTALLY untested.
debug: nothing
	-mkdir O-DEBUG
	cat Make1 Make2.Debug Make3 Make.depend >O-DEBUG/Makefile
	(cd O-DEBUG; ${MAKE} -k)
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
# MS Windows using mingw32
# This should work if it is properly installed
# and has the proper libraries and headers.
# It is optimized for speed.  Debugging is off.
mingw: nothing
	-mkdir MSW
	cat Make1 Make2.mingw32 Make3 Make.depend >MSW/Makefile
	(cd MSW; ${MAKE} -k)
#-----------------------------------------------------------------------------
# Windows using Borland 5.5
borland: nothing
	-mkdir BORLAND
	copy Make1 + Make2.Borland + Make3 + Make.depend  BORLAND\Makefile.raw
	cd BORLAND
	sed 's/\\.o/.obj/g' <Makefile.raw >Makefile
	${MAKE}
#-----------------------------------------------------------------------------
# If you don't have g++, try this one
# This is based on assumptions that you have a cfront based compiler called CC
# and there is nothing strange about your system
CC: nothing
	-mkdir O-CC
	cat Make1 Make2.CC Make3 Make.depend >O-CC/Makefile
	(cd O-CC; ${MAKE} -k)
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
linux: nothing
	-mkdir LINUX
	cat Make1 Make2.g++ Make3 Make.depend >LINUX/Makefile
	(cd LINUX; ${MAKE} -k)
#-----------------------------------------------------------------------------
netbsd: nothing
	-mkdir NETBSD
	cat Make1 Make2.g++ Make3 Make.depend >NETBSD/Makefile
	(cd NETBSD; ${MAKE} -k)
#-----------------------------------------------------------------------------
next: nothing
	-mkdir NEXT
	cat Make1 Make2.g++ Make3 Make.depend >NEXT/Makefile
	(cd NEXT; ${MAKE} -k)
#-----------------------------------------------------------------------------
sun4-g++: nothing
	-mkdir SUN4-G++
	cat Make1 Make2.g++ Make3 Make.depend >SUN4-G++/Makefile
	(cd SUN4-G++; ${MAKE} -k)
#-----------------------------------------------------------------------------
sun4-CC: nothing
	-mkdir SUN4-CC
	cat Make1 Make2.sun-CC Make3 Make.depend >SUN4-CC/Makefile
	(cd SUN4-CC; ${MAKE} -k)
#-----------------------------------------------------------------------------
freebsd: nothing
	-mkdir FREEBSD
	cat Make1 Make2.g++ Make3 Make.depend >FREEBSD/Makefile
	(cd FREEBSD; ${MAKE} -k)
#-----------------------------------------------------------------------------
tags: nothing
	cat Make1 Make2.g++ Make3 >Make.aux
	(${MAKE} tags -f Make.aux)
#-----------------------------------------------------------------------------
depend: nothing
	cat Make1 Make2.g++ Make3 >Make.aux
	${MAKE} -f Make.aux depend
#-----------------------------------------------------------------------------
checkin: nothing
	cat Make1 Make2.g++ Make3 >Make.aux
	${MAKE} -f Make.aux checkin
#-----------------------------------------------------------------------------
checkout: nothing
	cat Make1 Make2.g++ Make3 >Make.aux
	${MAKE} -f Make.aux checkout
#-----------------------------------------------------------------------------
clean: nothing
	-rm */*.o */*.obj */*.h */*.cc
#-----------------------------------------------------------------------------
install: nothing
	cp O/gnucap /usr/local/bin
#-----------------------------------------------------------------------------
date: nothing
	cat Make1 Make2.g++ Make3 >Make.aux
	${MAKE} -f Make.aux date
#-----------------------------------------------------------------------------
nothing:
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------

## gnucap 0.36~20091207

=== debian/changelog ===
gnucap (1:0.36~20091207-2) unstable; urgency=low

  * debian/control: Bumped Standards-Version to 3.9.2
  * Unapply quilt patches from git repository. (Closes: #643139)
  * debian/copyright: Updated copyright format & copyright years
  * Bumped Standards-Version to 3.9.2
  * debian/rules: Delete usr/share/doc/gnucap/history as it is the same as
    usr/share/doc/gnucap/changelog
  * fix_runall.diff patch: patch examples/Makefile.* to override the implicit
    rule that causes runall to be copied to runall.out

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Sep 2011 21:45:28 +0200

gnucap (1:0.36~20091207-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release. (Closes: #404389)
  * Bumped compat level to 8
  * debian/control:
    + Bumped Standards-Version to 3.9.1
    + Replaced libreadline5-dev build-dep with libreadline-dev
      (Closes: #553770)
    + Set Debian Electronics team as maintainer
    + Moved Hamish to uploaders
    + Added myself to uploaders
    + Added Homepage field
    + Add Vcs-* fields
  * Removed debian/gnucap.1 since it is included upstream.
  * Removed debian/gnucap.manpages since the manpage is already
    installed by upstream build system
  * Removed un-necessary debian/gnucap.dirs
  * Added debian/gnucap.docs, debian/gnucap.doc-base
  * debian/rules:
    + Simplify rules file
    + Added "-Wl,--as-needed" to LDFLAGS
  * Re-written debian/copyright
  * Switch to 3.0 (quilt) source format
  * Added docpaths.diff patch to install documentation & examples in
    proper doc paths. (Closes: #433304)
  * Removed patch from examples/runall.out, it is not a script but
    rather the expected script output.
  * Separated fix for runall script provided in examples into
    fix_runall.diff patch.
  * Separated fix to reflect name change from acs to gnucap into
    acs_gnucap.diff patch. Also patch acs-tutorial & rename
    gnucap-tutorial. (Closes: #398810)
  * Added typos.diff patch to fix typos in gnucap-ibis manpage.
  * Do not build/install PDF/HTML manual, since it is not included in
    the development release.
    + debian/rules: Comment out instructions to build/clean manuals
    + debian/gnucap.doc-base, debian/gnucap.docs: comment manual entries
    + debian/control: no need for hevea, texlive in build-deps
    + Added DMUA after sponsors consent
    (http://lists.alioth.debian.org/pipermail/pkg-electronics-devel/2010-April/001827.html)

  [ Wesley J. Landaker ]
  * Apply quilt patches directly into git repository.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 11 Nov 2010 17:32:23 -0700

gnucap (1:0.35-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace removed tetex by texlive packages (Closes: #562354)
  * Add ${misc:Depends} line to package dependency

 -- Christoph Egger <christoph@debian.org>  Sat, 20 Feb 2010 19:23:59 +0100

gnucap (1:0.35-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS with patch from Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #455116)
  * debian/rules:
    - Add missing binary-indep target (Closes: #395722)
    - Clean build stamp file, allowing doublebuilds. (Closes: #424351)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:36:24 +0100

gnucap (1:0.35-1) unstable; urgency=low

  * New upstream release (closes: #372080)
  * Updated to standards-revision 3.7.2
  * Added build-dep for tetex-extra so that the documentation can be generated
    at build-time

 -- Hamish Moffatt <hamish@debian.org>  Fri, 22 Sep 2006 22:13:28 +1000

gnucap (1:0.34-5) unstable; urgency=low

  * Fix FTBFS with g++ 4.1; thanks to Ben Hutchings for the patch
    (closes: #356113)
  * Add debian/watch file to track new upstream versions
  * Fix runall scripts provided with examples
  * Upgrade standards-revision to 3.6.2

 -- Hamish Moffatt <hamish@debian.org>  Sun, 19 Mar 2006 10:42:32 +1100

gnucap (1:0.34-4) unstable; urgency=low

  * Rebuild with g++ 4.0

 -- Hamish Moffatt <hamish@debian.org>  Sun, 31 Jul 2005 08:32:26 +0000

gnucap (1:0.34-3) unstable; urgency=low

  * Removed dummy acs package; it was only required for potato->woody 
    upgrades (closes: #308710)

 -- Hamish Moffatt <hamish@debian.org>  Thu, 12 May 2005 16:49:31 +1000

gnucap (1:0.34-2) unstable; urgency=low

  * Apply patch to fix compilation with gcc-3.4 (closes: #270282)
    Thanks to Andreas Jochens for the patch

 -- Hamish Moffatt <hamish@debian.org>  Tue, 14 Dec 2004 00:21:58 +1100

gnucap (1:0.34-1) unstable; urgency=low

  * New upstream release
    * modelgen renamed to gnucap-modelgen

 -- Hamish Moffatt <hamish@debian.org>  Wed, 17 Mar 2004 20:14:20 +1100

gnucap (1:0.33-3) unstable; urgency=low

  * Use hevea instead of latex2html to generate html documentation
    (closes: #221321) Thanks to Stefano Zacchiroli <zack@debian.org>
    for the patch.
  * Updated the manual page with information about the command-line
    options (closes: #224463)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 29 Dec 2003 10:43:56 +1100

gnucap (1:0.33-2) unstable; urgency=low

  * Included tutorial in package (closes: #182943)
  * Updated doc/whatisit to reflect name change acs to gnucap
    (closes: #182944)
  * Included html version of manual (closes: #163241, #182945)

 -- Hamish Moffatt <hamish@debian.org>  Sat,  1 Mar 2003 23:35:19 +1100

gnucap (1:0.33-1) unstable; urgency=low

  * New upstream release
  * Upstream: Includes readline support (closes: #163242)
  * Upstream: Compiles with g++ 3.2 (closes: #175380)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 21 Jan 2003 20:59:48 +1100

gnucap (1:0.31-1) unstable; urgency=low

  * New upstream release
  * Fixed capitalisation in description (closes: #124687)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Jun 2002 23:10:38 +1000

gnucap (1:0.30-1) unstable; urgency=low

  * New upstream release; changed name from acs to gnucap



=== debian/control ===
Source: gnucap
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>,
           أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
           Wesley J. Landaker <wjl@icecavern.net>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), libreadline-dev
#, hevea, texlive
Homepage: http://gnucap.org
Vcs-Git: git://git.debian.org/git/pkg-electronics/gnucap.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/gnucap.git

Package: gnucap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Circuit Analysis package
 GNUCAP is a general purpose circuit simulator.  It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point.  It is fully interactive and
 command driven.  It can also be run in batch mode or as a server.
 The output is produced as it simulates.  Spice compatible models
 for the MOSFET (level 1,2,3) and diode are included in this
 release.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_build:
	dh_auto_build
	#$(MAKE) -C man html/index.html

override_dh_auto_clean:
	dh_auto_clean
	# So as not to pollute the .diff:
	#-rm man/gnucap-man.pdf
	#-rm -rf man/html

override_dh_installdocs:
	dh_installdocs
	# Remove LaTeX sources from HTML documentation:
	##rm debian/gnucap/usr/share/doc/gnucap/html/*.hi??
	# Remove un-necessary docs installed by upstream:
	rm debian/gnucap/usr/share/doc/gnucap/COPYING
	rm debian/gnucap/usr/share/doc/gnucap/INSTALL
	rm debian/gnucap/usr/share/doc/gnucap/history

override_dh_compress:
	dh_compress -X.pdf -X.ckt

## gnucap 0.36~20091207-2-maemo1

=== debian/changelog ===
gnucap (1:0.36~20091207-2-maemo1) unstable; urgency=low

  * debhelper=7
  * --prefix=/opt/gnucap

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 06 Jun 2013 11:18:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gnucap
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
 Uploaders: Hamish Moffatt <hamish@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
            Wesley J. Landaker <wjl@icecavern.net>
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), libreadline-dev
+Build-Depends: debhelper (>= 7), libreadline5-dev
 #, hevea, texlive
 Homepage: http://gnucap.org
 Vcs-Git: git://git.debian.org/git/pkg-electronics/gnucap.git

## gnucap 0.36~20091207-2-maemo2

=== debian/changelog ===
gnucap (1:0.36~20091207-2-maemo2) unstable; urgency=low

  * section = user/electronics

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 21 Jun 2013 11:14:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: gnucap
-Section: electronics
+Section: user/electronics
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
 Uploaders: Hamish Moffatt <hamish@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed" --prefix=/opt/gnucap

override_dh_auto_build:
	dh_auto_build
	#$(MAKE) -C man html/index.html

override_dh_auto_clean:
	dh_auto_clean
	# So as not to pollute the .diff:
	#-rm man/gnucap-man.pdf
	#-rm -rf man/html

override_dh_installdocs:
	dh_installdocs
	#remove non-optified things
	rm -rf debian/gnucap/usr

	#create symlink (this is not correct place to do it...)
	mkdir -p debian/gnucap/usr/bin
	ln -s /opt/gnucap/bin/gnucap debian/gnucap/usr/bin/gnucap

override_dh_compress:
	dh_compress -X.pdf -X.ckt

## gnucap 0.36~20171003

=== Makefile ===


gnucap: nothing
	#(cd include; ${MAKE} gnucap)
	(cd lib; ${MAKE} -k)
	(cd modelgen; ${MAKE} -k)
	(cd main; ${MAKE} -k)
	(cd apps; ${MAKE} -k)

debug:
	#(cd include; ${MAKE} debug)
	(cd lib; ${MAKE} debug)
	(cd modelgen; ${MAKE} debug)
	(cd main; ${MAKE} debug)
	(cd apps; ${MAKE} debug)

g++:
	#(cd include; ${MAKE} g++)
	(cd lib; ${MAKE} g++)
	(cd modelgen; ${MAKE} g++)
	(cd main; ${MAKE} g++)
	(cd apps; ${MAKE} g++)

mingw:
	#(cd include; ${MAKE} mingw)
	(cd lib; ${MAKE} mingw)
	(cd modelgen; ${MAKE} mingw)
	(cd main; ${MAKE} mingw)
	(cd apps; ${MAKE} mingw)

clean:
	#(cd include; ${MAKE} clean)
	(cd lib; ${MAKE} clean)
	(cd modelgen; ${MAKE} clean)
	(cd main; ${MAKE} clean)
	(cd apps; ${MAKE} clean)
	-rm *~ \#*\#

depend:
	#(cd include; ${MAKE} depend)
	(cd lib; ${MAKE} depend)
	(cd modelgen; ${MAKE} depend)
	(cd main; ${MAKE} depend)
	(cd apps; ${MAKE} depend)

tags:
	#(cd include; ${MAKE} tags)
	(cd lib; ${MAKE} tags)
	(cd modelgen; ${MAKE} tags)
	(cd main; ${MAKE} tags)
	(cd apps; ${MAKE} tags)

unconfig:
	#(cd include; ${MAKE} unconfig)
	(cd lib; ${MAKE} unconfig)
	(cd modelgen; ${MAKE} unconfig)
	(cd main; ${MAKE} unconfig)
	(cd apps; ${MAKE} unconfig)

install: nothing
	(cd include; ${MAKE} install)
	(cd lib; ${MAKE} install)
	(cd modelgen; ${MAKE} install)
	(cd main; ${MAKE} install)
	(cd apps; ${MAKE} install)

install-debug: nothing
	(cd include; ${MAKE} install-debug)
	(cd lib; ${MAKE} install-debug)
	(cd modelgen; ${MAKE} install-debug)
	(cd main; ${MAKE} install-debug)
	(cd apps; ${MAKE} install-debug)

uninstall: nothing
	(cd include; ${MAKE} uninstall)
	(cd lib; ${MAKE} uninstall)
	(cd modelgen; ${MAKE} uninstall)
	(cd main; ${MAKE} uninstall)
	(cd apps; ${MAKE} uninstall)

manifest:
	(cd include; ${MAKE} manifest)
	(cd lib; ${MAKE} manifest)
	(cd modelgen; ${MAKE} manifest)
	(cd main; ${MAKE} manifest)
	(cd apps; ${MAKE} manifest)

header-check:
	(cd include; ${MAKE} header-check)
	(cd lib; ${MAKE} header-check)
	(cd modelgen; ${MAKE} header-check)
	(cd main; ${MAKE} header-check)
	(cd apps; ${MAKE} header-check)

date:
	(cd include; ${MAKE} date)

checkin:
	$(MAKE) date
	-git commit -a

nothing:

=== debian/changelog ===
gnucap (1:0.36~20171003-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:14:53 +0000

gnucap (1:0.36~20171003-1.1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:54:41 +0100

gnucap (1:0.36~20171003-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:26:01 +0100

gnucap (1:0.36~20171003-1) unstable; urgency=medium

  * Split gnucap package into several packages
    This is required, as gnucap now provides a shared library.
  * libgnucap0 + libgnucap-dev (Closes: #224467)
    These packages contain the shared library and provide the files necessary
    to build/link against it, respectively. For example users can create their
    own binary programs to substitute the "gnucap" example executable provided
    in the "gnucap" package. Other packages may depend on libgnucap-dev, if
    they make use of the gnucap library, which will provide most gnucap
    functionality without the need to install all gnucap packages and files.
    (Closes: #224467)
  * Introduce gnucap-default-plugins0 package
    The plugins that were previous linked into the main executable are now
    shipped as a separate (optional) binary, the "default plugins". These are
    loaded by "gnucap", unless overridden in /etc/gnucap.rc (which does not
    exist by default). This package must hence be installed, if the
    functionality of the previous gnucap package is sought.
    The binary plugin is installed in a directory depending on the
    architecture and on the library soname it has been tested against.
  * gnucap-common package (Closes: #693267)
    Contains the development headers and build infrastructure. This package
    is architecture independent.
  * man pages for /usr/bin/gnucap and /usr/bin/gnucap-{conf,modelgen}. The
    upstream project makes no attempt in providing these, hence they are
    maintained here.
  * get-orig-source target, snapshotting upstream git
    There are no release tarballs, just tags, nowadays. These are equivalent
    to releases ("development snapshots"). This is new and was not required for
    previous tarball releases.
  * set sysconfdir to /etc, equivalent to --sysconfdir in autotools.
    There's the possibility to override things in /etc/gnucap.rc.
  * update d/copyright
  * move package to salsa (from alioth/pkg-electronics)
  * debian/control: Bump Standards-Version to 4.1.3
    Checked against
    https://www.debian.org/doc/packaging-manuals/upgrading-checklist.txt
    The seemingly relevant items do not require action.
    - 5.6.26 VCS-*, "https", for example
    - 10.2   plugins are in /usr/lib/triplet/gnucap0
    - 4.15   reproducibility not formally tested
    - 2.5    priority is optional
    - 8.1.1  invokes ldconfig.
    - 4.9.1  there is no doc (any more?) use wiki page instead
    - 5.2    control does not mention -dbg packages
  * bump compat to 11
    Now depend on dh >= 11. No action required, according to debhelper(7).
  * remove Wesley  J. Landaker and Hamish Moffatt from Uploaders as they not
    active anymore
    Thanking both for their work on the packages of gnucap in the past!
    (Closes: #759987, #831480)
  * adding a lintian override for http URL in watch file
    Lintian is complaining about the usage of http:// instead of https:// on
    the URL http://gnucap.org/archive/ in watch, a file for automatic checking
    for new upstream versions.
    gnucap.org isn't using the https protocol (yet or never will) and we need
    to use http here. Note that tarball releases are currently suspended, and
    git tags are used instead, so this might need more work.


  [ Helmut Grohne ]
  * Fix FTCBFS: Add gnucap:native to Build-Depends. (Closes: #878364)

 -- Felix Salfelder <felix@salfelder.org>  Sun, 04 Mar 2018 04:14:08 +0000

=== debian/control ===
Source: gnucap
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
           Felix Salfelder <felix@salfelder.org>
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11),
               dpkg-dev (>=1.17.14),
               gnucap:native <cross>,
               libreadline-dev
Homepage: http://gnucap.org
Vcs-Git: https://salsa.debian.org/felixs-guest/gnucap.git
Vcs-Browser: https://salsa.debian.org/felixs-guest/gnucap

Package: libgnucap0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU Circuit Analysis package, the library
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains the shared library.

Package: gnucap
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnucap-common, gnucap-default-plugins0
Description: GNU Circuit Analysis package, main executable
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains a main executable and gnucap-modelgen.

Package: gnucap-common
Architecture: all
Depends: ${misc:Depends}
Recommends: g++
Description: GNU Circuit Analysis package, development headers
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains headers and infrastructure.

Package: libgnucap-dev
Architecture: any
Section: libdevel
Depends: gnucap-common (= ${source:Version}),
         libgnucap0 (= ${binary:Version}),
         ${misc:Depends}
Description: GNU Circuit Analysis package, development library
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains the symlink to the shared library.

Package: gnucap-default-plugins0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnucap
Description: GNU Circuit Analysis package, default plugins
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains the default plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
upstream_commit = $(shell v="$(DEB_VERSION_UPSTREAM)"; echo $${v\#\#*~})

# take from control?
SOVERSION = 0
SONAME = libgnucap.so.${SOVERSION}

# upstream_commit_short = $(shell echo $(upstream_commit) | sed -e 's/\(........\).*/\1/')
#
UPSTREAM_REPO=git://git.savannah.gnu.org/gnucap.git
ORIG_TARBALL=../gnucap_${DEB_VERSION_UPSTREAM}.orig.tar.gz

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

LN_S = ln -sf

libdir = /usr/lib/$(DEB_HOST_MULTIARCH)
pkglibdir = ${libdir}/gnucap${SOVERSION}
pcdir	= ${libdir}/pkgconfig

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr
	sed -e '/GNUCAP_PLUGPATH/s#/lib/gnucap#'/lib/${DEB_HOST_MULTIARCH}/gnucap0'#' -i main/config.h

	sed -e '/^$$/s##triplet=$$\( g++ --print-multiarch \)#' -i main/gnucap.conf
	sed -e '/^libdir/s#=.*#=/usr/lib/$${triplet}#' -i main/gnucap.conf
	sed -e '/^pkglibdir/s#=.*#=$${libdir}/gnucap'${SOVERSION}'#' -i main/gnucap.conf
	sed -e '/^sysconfdir/s#=.*#=/etc#' -i main/gnucap-conf
	sed -e '/^sysconfdir/s#=.*#=/etc#' -i main/gnucap.conf

	sed -e 's#-ltermcap##' -i lib/Make2

	sed -i '/SYSTEMSTARTPATH/s/OS::getenv("PATH")/"\/etc"/' main/config.h

# workaround: these are hardwired, need to pass them back
LIB_LDFLAGS = -shared
EXEC_LDFLAGS = -rdynamic -L../../lib/O

override_dh_auto_build:
	$(MAKE) -C lib \
	        LDFLAGS="$(LIB_LDFLAGS) \
	                 -Wl,-soname -Wl,${SONAME} \
	                  $(LDFLAGS)" \
	        CPPFLAGS="$(CPPFLAGS)" \
	        CXXFLAGS="$(CXXFLAGS)"
	cd $(CURDIR)/lib/O; $(LN_S) libgnucap.so ${SONAME}

	$(MAKE) -C modelgen \
	        LDFLAGS="$(EXEC_LDFLAGS) $(LDFLAGS)" \
	        CPPFLAGS="$(CPPFLAGS)" \
	        CXXFLAGS="$(CXXFLAGS)"

	$(MAKE) -C apps \
	        LDFLAGS="$(LIB_LDFLAGS) $(LDFLAGS)" \
	        CPPFLAGS="$(CPPFLAGS)" \
	        CXXFLAGS="$(CXXFLAGS)"

	dh_auto_build --parallel -- \
	            LDFLAGS="$(EXEC_LDFLAGS) $(LDFLAGS)" \
	            CPPFLAGS="$(CPPFLAGS)" \
	            CXXFLAGS="$(CXXFLAGS)"
#	#$(MAKE) -C man html/index.html

# pick subdirectories one by one. options do not propagate correctly
# (this is a terrible mess...)

override_dh_auto_install:
	$(MAKE) install -C lib \
	        DESTDIR=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tmp/usr/lib/libgnucap.so \
	   $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/${SONAME}
	cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH); $(LN_S) ${SONAME} libgnucap.so

	$(MAKE) install -C modelgen \
	        DESTDIR=$(CURDIR)/debian/tmp

	$(MAKE) install -C apps \
	        INSTALL_DIR=${pkglibdir} install \
	        DESTDIR=$(CURDIR)/debian/tmp

	$(MAKE) install -C include \
	        DESTDIR=$(CURDIR)/debian/tmp

	$(MAKE) install -C main \
	        DESTDIR=$(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/tmp/etc
	mv $(CURDIR)/debian/tmp/usr/etc/gnucap.conf \
	    $(CURDIR)/debian/tmp/etc/gnucap.conf

	# mv $(CURDIR)/debian/tmp/usr/bin/gnucap-conf $(CURDIR)/debian/tmp/${pkglibdir}/
	
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/gnucap/examples
	cp tests/*.gc $(CURDIR)/debian/tmp/usr/share/doc/gnucap/examples
	cp tests/*.ckt $(CURDIR)/debian/tmp/usr/share/doc/gnucap/examples

	# workaround: some are duplicate (reported upstream, trivial),
	# remove a superset, for now.
	rm $(CURDIR)/debian/tmp/usr/share/doc/gnucap/examples/d_mos6*.ckt
	rm $(CURDIR)/debian/tmp/usr/share/doc/gnucap/examples/d_mos49.nand1.ckt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf main/gnucap-conf
	rm -rf main/gnucap.conf
	rm -rf main/config.h
	rm -rf */Makefile -f
	rm -rf */Make2 -f
	rm -rf */O/ -rf

override_dh_installdocs:
	dh_installdocs
	# Remove LaTeX sources from HTML documentation:
	##rm debian/gnucap/usr/share/doc/gnucap/html/*.hi??
	# Remove un-necessary docs installed by upstream:
	#rm debian/gnucap/usr/share/doc/gnucap/COPYING
	#rm debian/gnucap/usr/share/doc/gnucap/INSTALL
	#rm debian/gnucap/usr/share/doc/gnucap/history

override_dh_compress:
	dh_compress -X.pdf -X.ckt

# disable debugging symbol packages, for now
# - these don't really help (-O2)
# - and they do not work with the current build system
#   (switch to autotools planned anyways..)
override_dh_strip:
	dh_strip --no-ddebs

# create tarball equivalent to upstream. use
# tar -xOzf ../gnucap-20171003.tar.gz | sort | sha1sum
# to check.
get-orig-source:
	@echo creating tarball from ${upstream_commit}
	[ -d .git ] && git archive ${upstream_commit} | \
	               gzip > $(ORIG_TARBALL) || :
	[ -d .git ] || git archive --format=tar \
		--remote=$(UPSTREAM_REPO) ${upstream_commit}  | \
	             tar -xzf > $(ORIG_TARBALL)

.PHONY: get-orig-source

## gnucap 20230520-dev

=== debian/changelog ===
gnucap (1:20230520-dev-1) experimental; urgency=medium

  * New development snapshot
  * follow change in version numbering
    package version is now YYYYMMDD
  * use autotools
    - simpler rules
    - fixed -dbg packages
  * libgnucap-dev: add dependency on corresponding default plugins
  * drop d/compat, depend on debhelper-compat 13 instead
    - require-root: no
    - d/not-installed
  * debian/control: Bump Standards-Version to 4.5.0
    Checked against
    https://www.debian.org/doc/packaging-manuals/upgrading-checklist.txt
  * leave abi version and soname untouched. It's experimental.
  * hardwire CXX in gnucap-conf (trouble with mixing compilers).
  * enable link time optimization explicitly (Closes: #1015418).
  * use manpages provided by upstream.
  * remove obsolete patch against runall. File is gone.

 -- Felix Salfelder <felix@salfelder.org>  Tue, 19 Jul 2022 00:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: gnucap
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
            Felix Salfelder <felix@salfelder.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>=1.17.14),
                gnucap:native <cross>,
                libreadline-dev
 Homepage: http://gnucap.org
-Vcs-Git: https://salsa.debian.org/felixs-guest/gnucap.git
-Vcs-Browser: https://salsa.debian.org/felixs-guest/gnucap
+Vcs-Git: https://salsa.debian.org/electronics-team/Gnucap/gnucap.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/Gnucap/gnucap
+Rules-Requires-Root: no
 
 Package: libgnucap0
 Architecture: any
@@ -42,7 +42,7 @@
 Package: gnucap-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: g++
+Recommends: ${misc:Recommends}
 Description: GNU Circuit Analysis package, development headers
  Gnucap is a general purpose circuit simulator. It performs nonlinear
  dc and transient analyses, Fourier analysis, and ac analysis
@@ -56,6 +56,7 @@
 Section: libdevel
 Depends: gnucap-common (= ${source:Version}),
          libgnucap0 (= ${binary:Version}),
+         gnucap-default-plugins0 (= ${binary:Version}),
          ${misc:Depends}
 Description: GNU Circuit Analysis package, development library
  Gnucap is a general purpose circuit simulator. It performs nonlinear

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
upstream_commit = $(shell v="$(DEB_VERSION_UPSTREAM)"; echo $${v\#\#*~})

# take from control? (how?)
SOVERSION = 0
SONAME = libgnucap.so.${SOVERSION}

UPSTREAM_REPO=git://git.savannah.gnu.org/gnucap.git
ORIG_TARBALL=../gnucap_${DEB_VERSION_UPSTREAM}.orig.tar.gz

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

LN_S = ln -sf

WHICH_CXX = $(shell realpath `which g++`)
WHICH_CXX_PACKAGE = $(shell dpkg -S $(WHICH_CXX) | cut -f1 -d:)

libdir = /usr/lib/$(DEB_HOST_MULTIARCH)
pkglibdir = ${libdir}/gnucap${SOVERSION}

info:
	@echo ${LDFLAGS}
	@echo ${DEB_VERSION_UPSTREAM}
	@echo ${upstream_commit}
	@echo ${WHICH_CXX}
	@echo ${WHICH_CXX_PACKAGE}

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc CXX=${WHICH_CXX}
	sed -e '/GNUCAP_PLUGPATH/s#gnucap"$$#gnucap'${SOVERSION}'"#' -i main/config.h

	sed -e '/^pkglibdir/s#=.*#='${pkglibdir}'#' -i main/gnucap.conf
	sed -e '/^pkglibdir/s#gnucap$$#gnucap'${SOVERSION}'#' -i apps/Makefile
	sed -e '/^plugindir/s#gnucap$$#gnucap'${SOVERSION}'#' -i apps/Makefile

	sed -i '/SYSTEMSTARTPATH/s/OS::getenv("PATH")/"\/etc"/' main/config.h

override_dh_gencontrol:
	# might become a hard dependency...
	echo misc:Recommends=${WHICH_CXX_PACKAGE} > debian/gnucap-common.substvars
	dh_gencontrol

override_dh_auto_clean:
	dh_auto_clean
	rm -f autotools
	# rm -f aclocal.m4 ar-lib compile config.guess config.sub depcomp install-sh missing
	rm -rf configure.ac
	rm -rf configure.gnu
	# rm -rf configure

# override_dh_installdocs:
# 	dh_installdocs
# 	# Remove LaTeX sources from HTML documentation:
# 	##rm debian/gnucap/usr/share/doc/gnucap/html/*.hi??
# 	# Remove un-necessary docs installed by upstream:
# 	#rm debian/gnucap/usr/share/doc/gnucap/COPYING
# 	#rm debian/gnucap/usr/share/doc/gnucap/INSTALL
# 	#rm debian/gnucap/usr/share/doc/gnucap/history

override_dh_compress:
	dh_compress -X.pdf -X.ckt

override_dh_autoreconf:
	-ln -s debian/autotools

	# stray rules in Make1. disable them
	sed -e '/^%/s/model$$/model_/' -i apps/Make1

	autotools/bootstrap

	# required for dh_auto_configure
	mv configure.gnu configure

# create tarball equivalent to upstream. use
# tar -xOzf ../gnucap-20171003.tar.gz | sort | sha1sum
# to check.
get-orig-source:
	@echo creating tarball from ${upstream_commit}
	[ -d .git ] && git archive ${upstream_commit} | \
	               gzip > $(ORIG_TARBALL) || :
	[ -d .git ] || git archive --format=tar \
		--remote=$(UPSTREAM_REPO) ${upstream_commit}  | \
	             tar -xzf > $(ORIG_TARBALL)

.PHONY: get-orig-source
